analyticsDrilldownData
The analyticsDrilldownData query in Bunny's GraphQL API, with its arguments, return type and an example request.
Scope required: standard:read
For a complete list of possible response fields see the AnalyticsDrilldownData type.
query analyticsDrilldownData ($dataSource: String!, $fields: [String!]!, $dimension: String, $drilldownValue: String, $dateRange: String, $entityId: ID, $accountId: ID, $startDate: String, $endDate: String, $nonZeroFields: [String!], $fieldFilterKey: String, $fieldFilterValue: String, $fiscalYear: String, $fiscalMonth: String, $fiscalQuarter: String, $fiscalPreset: String, $includeCurrentMonth: Boolean, $sortField: String, $sortDirection: String, $limit: Int) {
analyticsDrilldownData (dataSource: $dataSource, fields: $fields, dimension: $dimension, drilldownValue: $drilldownValue, dateRange: $dateRange, entityId: $entityId, accountId: $accountId, startDate: $startDate, endDate: $endDate, nonZeroFields: $nonZeroFields, fieldFilterKey: $fieldFilterKey, fieldFilterValue: $fieldFilterValue, fiscalYear: $fiscalYear, fiscalMonth: $fiscalMonth, fiscalQuarter: $fiscalQuarter, fiscalPreset: $fiscalPreset, includeCurrentMonth: $includeCurrentMonth, sortField: $sortField, sortDirection: $sortDirection, limit: $limit) {
}
}
ArgumentsLink to Arguments section
| Name | Type | Description |
|---|---|---|
| dataSource | String | |
| fields | List (String) | Field keys to return as columns |
| dimension | String | Dimension that was clicked |
| drilldownValue | String | Clicked dimension value to filter by |
| dateRange | String | |
| entityId | ID | |
| accountId | ID | |
| startDate | String | |
| endDate | String | |
| nonZeroFields | List (String) | Exclude rows where any of these fields are zero |
| fieldFilterKey | String | Static field filter key |
| fieldFilterValue | String | Static field filter value |
| fiscalYear | String | Fiscal year to filter by |
| fiscalMonth | String | |
| fiscalQuarter | String | Fiscal quarter to filter by |
| fiscalPreset | String | Relative fiscal period preset (e.g. thisFiscalQuarter) |
| includeCurrentMonth | Boolean | Match the chart range when including the current (partial) month |
| sortField | String | Field key to order results by |
| sortDirection | String | ASC or DESC |
| limit | Int | Maximum number of rows to return |